# Table `Input`

Functions for input management.

## Functions

Vibrate(strength, time) | Vibrate the game controller if the function is available and the setting is on.
KeyIsHeld(action) | Check if an action key is being held.
KeyIsHit(action) | Check if an action key is being hit or clicked.
KeyPush(action) | Simulate an action key push.
KeyClear(action) | Clear an action key.
KeyClearAll() | Clear all action keys.
GetMouseDisplayPosition() | Get the display position of the cursor in percent.

## Functions

Vibrate(strength, time)
  Vibrate the game controller if the function is available and the setting is on.

  ### Parameters:

  - strength float Vibration strength.
  - time float (default 0.3) Vibration time in seconds.
KeyIsHeld(action)
  Check if an action key is being held.

  ### Parameters:

  - action ActionID Action ID to check.
KeyIsHit(action)
  Check if an action key is being hit or clicked.

  ### Parameters:

  - action ActionID Action ID to check.
KeyPush(action)
  Simulate an action key push.

  ### Parameters:

  - action ActionID Action ID to push.
KeyClear(action)
  Clear an action key.

  ### Parameters:

  - action ActionID Action ID to clear.
KeyClearAll()
  Clear all action keys.
GetMouseDisplayPosition()
  Get the display position of the cursor in percent. ()

  ### Returns:

  Vec2 Cursor display position in percent.

generated by TEN-LDoc (a fork of LDoc 1.4.6)